#include <bits/stdc++.h>
using namespace std;

long long Konflikt(int N,int M,int *A,int *B){
    vector<int> a(N+1), b(N+1);
    for(int i = 1;i<=N;i++){
        a[i] = A[i];
        b[i] = B[i];
    }
    sort(a.begin(), a.end());
    sort(b.begin(), b.end());
    vector<int> a2 = a;
    long long rez = 1e18;
    for(int x = 0;x<=M-1;x++){
        for(int i = 1;i<=N;i++){
            a2[i] = a[i]+x;
            a2[i]%=M;
        }
        for(int i = 0;i<N;i++){
            long long ans = 0;
            for(int j = 1;j<=N;j++){
                ans+=min(abs(a2[j]-b[(j+i-1)%N+1]), M-abs(a2[j]-b[(j+i-1)%N+1]));
            }
            rez = min(rez, ans);
        }
    }
    return rez;
}